﻿using Microsoft.Office.Tools.Outlook;
using System;

namespace TestProject
{
    /// <summary>
    /// 메일 양식 영역
    /// </summary>
    partial class MailFormRegion
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Class
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 메일 양식 영역 팩터리 - MailFormRegionFactory

        /// <summary>
        /// 메일 양식 영역 팩토리
        /// </summary>
        [FormRegionMessageClass(FormRegionMessageClassAttribute.Note)]
        [FormRegionName("TestProject.MailFormRegion")]
        public partial class MailFormRegionFactory
        {
            //////////////////////////////////////////////////////////////////////////////////////////////////// Method
            ////////////////////////////////////////////////////////////////////////////////////////// Private

            #region 양식 영역 팩토리 초기화시 처리하기 - FormRegionFactory_FormRegionInitializing(sender, e)

            /// <summary>
            /// 양식 영역 팩토리 초기화시 처리하기
            /// </summary>
            /// <param name="sender">이벤트 발생자</param>
            /// <param name="e">이벤트 인자</param>
            private void FormRegionFactory_FormRegionInitializing(object sender, FormRegionInitializingEventArgs e)
            {
            }

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 취소 여부 - Canceld

        /// <summary>
        /// 취소 여부
        /// </summary>
        public bool Canceld
        {
            get
            {
                return this.cancelCheckBox.Checked;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 양식 영역 베이스 표시시 처리하기 - FormRegionBase_FormRegionShowing(sender, e)

        /// <summary>
        /// 양식 영역 베이스 표시시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void FormRegionBase_FormRegionShowing(object sender, EventArgs e)
        {
        }

        #endregion
        #region 양식 영역 베이스 양식 영역 닫은 경우 처리하기 - FormRegionBase_FormRegionClosed(sender, e)

        /// <summary>
        /// 양식 영역 베이스 양식 영역 닫은 경우 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void FormRegionBase_FormRegionClosed(object sender, EventArgs e)
        {
        }

        #endregion
    }
}